<?php
/* Mantenimiento de los registros de la tabla VTA_OrdenArchivos redefinidos por el usaurio */
class VTA_OrdenArchivosDP extends BaseVTA_OrdenArchivosDP
{
    public static function recuperarId( $s_Id )
    {
        $s_Sql =    "SELECT IF( MAX( IdSecuencia) IS NULL, 1, MAX( IdSecuencia ) + 1 ) i_Id FROM VTA_OrdenArchivos WHERE OrdenId='$s_Id';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>